KValueSelector class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KValueSelector Class Reference

Widget for color value selection. More...

`#include <kcolordialog.h>`

Inheritance diagram for KValueSelector:

[legend]
Collaboration diagram for KValueSelector:

[legend]
List of all members.

## Public Member Functions
| KValueSelector (QWidget *parent=0, const char *name=0)
| Constructs a widget for color selection.
| KValueSelector (Orientation o, QWidget *parent=0, const char *name=0)
| Constructs a widget for color selection with a given orientation.
int | hue () const
void | setHue (int h)
int | saturation () const
void | setSaturation (int s)
void | updateContents ()
## Protected Member Functions
virtual void | drawPalette (QPixmap *pixmap)
| Draws the contents of the widget on a pixmap, which is used for buffering.
virtual void | resizeEvent (QResizeEvent *)
virtual void | drawContents (QPainter *painter)
| Reimplemented from KSelector.
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Widget for color value selection.

See also:
  KHSSelector, KColorDialog

Author:
  Martin Jones (mjones@kde.org)

Version:
  Id
    kcolordialog.h,v 1.50 2002/08/01 14:19:52 coolo Exp

Definition at line 103 of file kcolordialog.h.

## Constructor & Destructor Documentation

KValueSelector::KValueSelector | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| Constructs a widget for color selection.

KValueSelector::KValueSelector | ( | Orientation | o,
|  | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| Constructs a widget for color selection with a given orientation.

## Member Function Documentation

virtual void KValueSelector::drawPalette | ( | QPixmap * | pixmap | ) | `[protected, virtual]`

| Draws the contents of the widget on a pixmap, which is used for buffering.

virtual void KValueSelector::drawContents | ( | QPainter * | painter | ) | `[protected, virtual]`

| Reimplemented from KSelector. The drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used. Reimplemented from KSelector.

The documentation for this class was generated from the following file:

- kcolordialog.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:05:19 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001